Bug 492967 - Broken deps
Broken deps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 19:14 EDT by Christoph Wickert
Modified: 2014-01-21 18:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log from requeued task (38.65 KB, text/plain)
2009-04-14 13:08 EDT, Christoph Wickert
no flags Details

  None (edit)
Description Christoph Wickert 2009-03-30 19:14:36 EDT
Description of problem:
I'm failing to build a package that requires ImageMagic:

DEBUG util.py:256:  ImageMagick-perl-6.3.8.1-4.fc9.ppc64 from build has depsolving problems
DEBUG util.py:256:    --> Missing Dependency: /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi is needed by package ImageMagick-perl-6.3.8.1-4.fc9.ppc64 (build)

root.log: http://koji.fedoraproject.org/koji/getfile?taskID=1266487&name=root.log
Task: https://koji.fedoraproject.org/koji/buildinfo?buildID=95749
Comment 1 David Woodhouse 2009-03-31 07:55:48 EDT
Confused. It said it installed perl-5.10.0-40.fc9.ppc64.rpm.

I fetched that package from koji: http://kojipkgs.fedoraproject.org/packages/perl/5.10.0/40.fc9/ppc64/perl-5.10.0-40.fc9.ppc64.rpm

$ rpm -qlvp perl-5.10.0-40.fc9.ppc64.rpm  | grep /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi
drwxr-xr-x    2 root    root                        0 Jan 20 07:52 /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi
drwxr-xr-x    2 root    root                        0 Jan 20 07:52 /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi/auto
Comment 2 Christoph Wickert 2009-04-08 19:01:57 EDT
Is anybody actually taking care of this? It prevents me from updating Xfce on F9.
Comment 3 Christoph Wickert 2009-04-14 13:08:44 EDT
Created attachment 339526 [details]
root.log from requeued task

Attaching root.log because the other one got cleaned up in koji.
Comment 4 Clark Williams 2009-04-14 13:42:32 EDT
Would you look in the mock chroot and see if perl actually was installed properly?

    $ mock -r fedora-9-ppc64 --shell
    mock-chroot> rpm -ql perl | grep thread-multi
Comment 5 Christoph Wickert 2009-04-14 13:54:35 EDT
You want me to check? I don't have shell access to the buildsys and no ppc hardware ether.
Comment 6 Clark Williams 2009-04-14 15:51:23 EDT
sorry, though you were doing a local build as well. 

I was talking to skvidal about this. Typically these types of problems are dependency issues with packages and not mock/yum/rpm issues per se, but I'm danged if I can find where this one is.  I pulled the ppc64 perl and ImageMagik-perl packages and started poking at dependencies and it *seems* like perl is providing what IM-perl is asking for in the file dependency for:

   /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi

I did notice that perl also provides a /usr/lib version of this path, but I don't see how that would confuse yum.

We may want to try and examine the permissions once the directory is created. Other than that, I'm out of ideas.
Comment 7 Clark Williams 2009-04-14 17:36:09 EDT
so jwb graciously gave me ssh access to a ppc64 system and I installed an F9 chroot over there, install perl, then tried to install ImageMagick-perl and it blew up exactly as you described. I looked at what it's 'requiring' which is this:

$ rpm -qvpR ImageMagick-perl-6.3.8.1-4.fc9.ppc64.rpm 
/usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi  
ImageMagick = 6.3.8.1-4.fc9
libMagick.so.10()(64bit)  
libWand.so.10()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
perl >= 0:5.002
perl >= 5.6.0
perl(AutoLoader)  
perl(Carp)  
perl(DynaLoader)  
perl(Exporter)  
perl(strict)  
perl(vars)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)  

I then looked at what perl in the chroot provided, file-wise:
$ rpm --root /var/lib/mock/fedora-9-ppc64/root -qvl perl | grep vendor_perl
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib/perl5/vendor_perl
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib/perl5/vendor_perl/5.10.0
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib/perl5/vendor_perl/5.10.0/auto
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib/perl5/vendor_perl/5.10.0/ppc-linux-thread-multi
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib/perl5/vendor_perl/5.10.0/ppc-linux-thread-multi/auto
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib64/perl5/vendor_perl
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib64/perl5/vendor_perl/5.10.0
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi
drwxr-xr-x    2 root    root                        0 Jan 20 02:52 /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi/auto

So, I'm stumped. Perl is providing  /usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-threads-multi and that's the very first thing that IM-perl requires in the above list. 

Am I just missing something obvious here?
Comment 8 Christoph Wickert 2009-04-14 18:52:44 EDT
No idea, this is something for a yum expert I guess. Seth, please take a look at it.
Comment 9 Bug Zapper 2009-06-09 23:39:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:29:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.